<?php

declare(strict_types=1);

namespace Drupal\google_v3_glossary\Traits;

/**
 * Provides a trait for Google V3 Glossary.
 */
trait GoogleV3GlossaryTrait {

  /**
   * Get all enabled languages.
   *
   * We don't want to show English as a language option.
   *
   * @return array
   *   An array of enabled language IDs.
   */
  public function getEnabledLanguages(): array {
    $languageManager = \Drupal::service('language_manager');
    $languages = $languageManager->getLanguages();
    $enabledLanguages = [];
    foreach ($languages as $language) {
      $enabledLanguages[$language->getId()] = $language->getName();
    }

    return $enabledLanguages;
  }

}
